"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const convertImageDataToRgba_1 = __importDefault(require("./convertImageDataToRgba"));
const log_1 = require("../log");
jest.mock('../log');
const logErrorMock = log_1.logError;
describe('convert/convertImageDataToRgba', () => {
    it('should convert all pixels', () => {
        const imageData = [0, 0, 0, 0, 255, 255, 255, 255];
        const colors = (0, convertImageDataToRgba_1.default)(imageData);
        expect(colors).toEqual([
            { r: 0, g: 0, b: 0, a: 0 },
            { r: 255, g: 255, b: 255, a: 255 }
        ]);
    });
    it('should log error with invalid shape', () => {
        const colors = (0, convertImageDataToRgba_1.default)([0, 0, 0, 255, 255, 255]);
        expect(colors).toHaveLength(0);
        expect(logErrorMock).toHaveBeenCalledTimes(1);
    });
});
//# sourceMappingURL=convertImageDataToRgba.spec.js.map