"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const convertRgbToHex_1 = __importDefault(require("./convertRgbToHex"));
describe('convert', () => {
    it.each([
        [{ r: 0, g: 0, b: 0, a: 0 }, '#000000'],
        [{ r: 255, g: 0, b: 0, a: 0 }, '#FF0000'],
        [{ r: 0, g: 255, b: 0, a: 0 }, '#00FF00'],
        [{ r: 0, g: 0, b: 255, a: 0 }, '#0000FF'],
        [{ r: 255, g: 255, b: 255, a: 0 }, '#FFFFFF'],
        [{ r: 128, g: 128, b: 128, a: 0 }, '#808080']
    ])('Should convert %j to %s', (color, hexColor) => {
        const result = (0, convertRgbToHex_1.default)(color);
        expect(result).toBe(hexColor);
    });
});
//# sourceMappingURL=convertRgbToHex.spec.js.map