"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const rgbaCounter_1 = __importDefault(require("./rgbaCounter"));
describe('counter/rgbaCounter', () => {
    it('should count all colors considering the alpha channel', () => {
        const colors = [
            { r: 0, g: 0, b: 0, a: 0 },
            { r: 0, g: 0, b: 0, a: 0 },
            { r: 0, g: 0, b: 0, a: 255 },
            { r: 0, g: 0, b: 0, a: 128 }
        ];
        const count = (0, rgbaCounter_1.default)(colors, true);
        expect(count).toEqual([
            { color: { r: 0, g: 0, b: 0, a: 0 }, count: 2 },
            { color: { r: 0, g: 0, b: 0, a: 255 }, count: 1 },
            { color: { r: 0, g: 0, b: 0, a: 128 }, count: 1 }
        ]);
    });
    it('should count all colors not considering the alpha channel', () => {
        const colors = [
            { r: 0, g: 0, b: 0, a: 0 },
            { r: 0, g: 0, b: 0, a: 0 },
            { r: 0, g: 0, b: 0, a: 255 },
            { r: 0, g: 0, b: 0, a: 128 }
        ];
        const count = (0, rgbaCounter_1.default)(colors, false);
        expect(count).toEqual([
            { color: { r: 0, g: 0, b: 0, a: 0 }, count: 4 }
        ]);
    });
});
//# sourceMappingURL=rgbaCounter.spec.js.map