"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const env_1 = require("./env");
const log_1 = require("./log");
jest.mock('./env');
const isProductionMock = env_1.isProduction;
describe('log', () => {
    it('should log error when not in production', () => {
        const consoleError = jest.spyOn(console, 'error').mockImplementation();
        (0, log_1.logError)('ok');
        expect(consoleError).toHaveBeenCalledTimes(1);
        expect(consoleError).toHaveBeenCalledWith('ok');
    });
    it('should not log error when in production', () => {
        const consoleError = jest.spyOn(console, 'error').mockImplementation();
        isProductionMock.mockReturnValue(true);
        (0, log_1.logError)('ok');
        expect(consoleError).not.toHaveBeenCalled();
    });
});
//# sourceMappingURL=log.spec.js.map